| SX126x-Arduino 2.0.1

Functions
LoRa MAC layer test function implementation

This module specifies the API implementation of test function of the LoRaMAC layer. The functions in this file are only for testing purposes only. More...

## Functions
void | LoRaMacTestRxWindowsOn (bool enable)
| Enabled or disables the reception windows. More...
void | LoRaMacTestSetMic (uint16_t txPacketCounter)
| Enables the MIC field test. More...
void | LoRaMacTestSetDutyCycleOn (bool enable)
| Enabled or disables the duty cycle. More...
void | LoRaMacTestSetChannel (uint8_t channel)
| Sets the channel index. More...

## Detailed Description

This module specifies the API implementation of test function of the LoRaMAC layer. The functions in this file are only for testing purposes only.

## Function Documentation

## ◆ LoRaMacTestRxWindowsOn()

void LoRaMacTestRxWindowsOn | ( | bool | enable | ) |

Enabled or disables the reception windows.

This is a test function. It shall be used for testing purposes only. Changing this attribute may lead to a non-conformance LoRaMac operation.

Parameters

  enable | - Enabled or disables the reception windows

## ◆ LoRaMacTestSetMic()

void LoRaMacTestSetMic | ( | uint16_t | txPacketCounter | ) |

Enables the MIC field test.

This is a test function. It shall be used for testing purposes only. Changing this attribute may lead to a non-conformance LoRaMac operation.

Parameters

  txPacketCounter | - Fixed Tx packet counter value

## ◆ LoRaMacTestSetDutyCycleOn()

void LoRaMacTestSetDutyCycleOn | ( | bool | enable | ) |

Enabled or disables the duty cycle.

This is a test function. It shall be used for testing purposes only. Changing this attribute may lead to a non-conformance LoRaMac operation.

Parameters

  enable | - Enabled or disables the duty cycle

## ◆ LoRaMacTestSetChannel()

void LoRaMacTestSetChannel | ( | uint8_t | channel | ) |

Sets the channel index.

This is a test function. It shall be used for testing purposes only. Changing this attribute may lead to a non-conformance LoRaMac operation.

Parameters

  channel | - Channel index